<template>
  <div>
    <v-app-bar
      app
      color="primary"
      dark
    >
      <v-toolbar-title>{{$t('message')}}</v-toolbar-title>
      <v-spacer></v-spacer>
      <v-menu
        bottom
        left
      >
        <template v-slot:activator="{ on }">
          <v-btn icon v-on="on">
            <v-icon>mdi-dots-vertical</v-icon>
          </v-btn>
        </template>

        <v-list>
          <v-list-item
            :key="lang.locale"
            @click="onLocaleChange(lang.locale)"
            v-for="lang in supportedLanguages"
          >
            <v-list-item-title>{{ lang.displayableName }}</v-list-item-title>
          </v-list-item>
        </v-list>
      </v-menu>
    </v-app-bar>
  </div>
</template>

<script>
import { mapActions } from 'vuex';
import { getSupportedLanguages } from '@/plugins/i18n';
import { CHANGE_LOCALE } from '@/store/actions';

export default {
  name: 'AppBar',
  computed: {
    supportedLanguages: () => getSupportedLanguages(),
  },
  methods: {
    ...mapActions([
      CHANGE_LOCALE,
    ]),
    onLocaleChange(locale) {
      this.CHANGE_LOCALE({ newLocale: locale });
    },
  },
};
</script>

<style scoped>

</style>
